%define	module	urllib3
%define subrel 1

Summary:	Python HTTP library with thread-safe connection pooling, file post, and more
Name:		python-%{module}
Version:	1.7.1
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/u/%{module}/%{module}-%{version}.tar.gz
# Patch from Fedora to change default behaviour to check SSL certs for validity
Patch0:		python-urllib3-default-ssl-cert-validate.patch

License:	MIT
Group:		Development/Python
Url:		http://urllib3.readthedocs.org/
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools < 0.9.8
Requires:	rootcerts

%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

%files
%doc CHANGES.rst LICENSE.txt README.rst CONTRIBUTORS.txt
%{python_sitelib}/*




%changelog
* Fri Nov 29 2013 philippem <philippem> 1.7.1-1.1.mga3
+ Revision: 554122
- update to 1.7.1 to fix security issues (mga#11785)

* Sun Jan 13 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 379657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 1.4-1.mga3
+ Revision: 278165
- clean spec
- Import from Mandriva

